Bug 738286 - Missing python-saslwrapper in Fedora
Summary: Missing python-saslwrapper in Fedora
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-qpid
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Callaghan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-14 13:19 UTC by Martin Bacovsky
Modified: 2012-07-26 06:59 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-26 06:59:39 UTC


Attachments (Terms of Use)

Description Martin Bacovsky 2011-09-14 13:19:39 UTC
Description of problem:
I'm trying to develop qpid python client with support for GSSAPI.
I'm unable to find python-saslwrapper package in the distribution repos.
I didn't found such package even in fedora PkgDB. But it is seems to be present in RHEL. The feature seems not to be included nor in python-qpid.

Is the desired feature packaged in different package or is missing in Fedora at all?

I found just 2 years old review request here https://bugzilla.redhat.com/show_bug.cgi?id=554461 but it does not seem to be the right one.

Comment 1 cqi 2011-12-14 15:44:59 UTC
Missing saslwrapper is critical. I just encountered the same problem in Fedora 14. Better raise the priority, urgent.

Comment 2 Ed Santiago 2012-04-17 15:23:04 UTC
Adding failure symptom, so this bug will be findable by search engines:

   qpid.messaging.exceptions.AuthenticationFailure: sasl negotiation failed: no mechanism agreed

Comment 3 cqi 2012-04-18 01:20:37 UTC
(In reply to comment #2)
> Adding failure symptom, so this bug will be findable by search engines:
> 
>    qpid.messaging.exceptions.AuthenticationFailure: sasl negotiation failed: no
> mechanism agreed

This is because python-saslwrapper is not installed yet. FYI, u can download the saslwrapper source RPM and build it in Fedora.

Comment 4 Dan Callaghan 2012-06-05 04:32:55 UTC
Our team is also keen to get python-saslwrapper into Fedora. I've filed a new review request: bug 828626.

Comment 5 Dan Callaghan 2012-07-26 06:59:39 UTC
saslwrapper is now available in updates for F16 and F17.


Note You need to log in before you can comment on or make changes to this bug.